from django.conf.urls import patterns, url
from django.views.generic import DetailView
from coin.members import views
from coin.members.models import Member


urlpatterns = patterns(
    '',
    url(r'^$', views.index, name='index'),
    url(r'^login/$', 'django.contrib.auth.views.login',
        {'template_name': 'members/login.html'},
        name = 'login'),
    url(r'^logout/$', 'django.contrib.auth.views.logout_then_login',
        name = 'logout'),

    url(r'^detail/$',views.detail,
        name='detail'),

    url(r'^subscriptions/', views.subscriptions, name = 'subscriptions'),
    # url(r'^subscription/(?P<id>\d+)', views.subscriptions, name = 'subscription'),

    url(r'^invoices/', views.invoices, name = 'invoices'),
    url(r'^contact/', views.index, name='contact')
)
